| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::DeviceBufferMTL Class Referencefinal

`#include <device_buffer_mtl.h>`

Inheritance diagram for impeller::DeviceBufferMTL:

## Public Member Functions
| DeviceBufferMTL ()
| ~DeviceBufferMTL () override
id< MTLBuffer > | GetMTLBuffer () const
Public Member Functions inherited from impeller::DeviceBuffer
virtual | ~DeviceBuffer ()
bool | CopyHostBuffer (const uint8_t *source, Range source_range, size_t offset=0u)
BufferView | AsBufferView () const
std::shared_ptr< const DeviceBuffer > | GetDeviceBuffer (Allocator &allocator) const
const DeviceBufferDescriptor & | GetDeviceBufferDescriptor () const
Public Member Functions inherited from impeller::Buffer
virtual | ~Buffer ()

## Friends
class | AllocatorMTL

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< DeviceBufferMTL, Buffer >
static DeviceBufferMTL & | Cast (Buffer &base)
static const DeviceBufferMTL & | Cast (const Buffer &base)
static DeviceBufferMTL * | Cast (Buffer *base)
static const DeviceBufferMTL * | Cast (const Buffer *base)
Protected Member Functions inherited from impeller::DeviceBuffer
| DeviceBuffer (DeviceBufferDescriptor desc)
Protected Attributes inherited from impeller::DeviceBuffer
const DeviceBufferDescriptor | desc_

## Detailed Description

Definition at line 16 of file device_buffer_mtl.h.

## Constructor & Destructor Documentation

## ◆ DeviceBufferMTL()

impeller::DeviceBufferMTL::DeviceBufferMTL | ( |  | ) |

## ◆ ~DeviceBufferMTL()

impeller::DeviceBufferMTL::~DeviceBufferMTL | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetMTLBuffer()

id< MTLBuffer > impeller::DeviceBufferMTL::GetMTLBuffer | ( |  | ) | const

Definition at line 21 of file device_buffer_mtl.mm.

21 {
22 return buffer_;
23 }

Referenced by impeller::Bind(), impeller::BlitCopyTextureToBufferCommandMTL::Encode(), and impeller::BlitCopyBufferToTextureCommandMTL::Encode().

## Friends And Related Function Documentation

## ◆ AllocatorMTL

friend class AllocatorMTL
| friend

Definition at line 27 of file device_buffer_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/device_buffer_mtl.h
- impeller/renderer/backend/metal/device_buffer_mtl.mm